<?xml version="1.0"?>
<!--
     ISO Schematron assembly script

     $Id: schematron-ISO-assembly.xsl,v 1.2 2006/06/18 17:01:02 G. Ken Holman Exp $

     Implementation note:  this will interpret only the <include> directive
     of ISO/IEC 19757-3 Schematron, creating a result assembly of the source
     with all included fragments incorporated.

Universal Business Language (UBL)

Copyright (C) OASIS Open (2006). All Rights Reserved.

This document and translations of it may be copied and furnished to others, and
derivative works that comment on or otherwise explain it or assist in its
implementation may be prepared, copied, published and distributed, in whole or
in part, without restriction of any kind, provided that the above copyright
notice and this paragraph are included on all such copies and derivative works.
However, this document itself may not be modified in any way, such as by
removing the copyright notice or references to OASIS, except as needed for the
purpose of developing OASIS specifications, in which case the procedures for
copyrights defined in the OASIS Intellectual Property Rights document must be
followed, or as required to translate it into languages other than English.

The limited permissions granted above are perpetual and will not be revoked by
OASIS or its successors or assigns.

This document and the information contained herein is provided on an "AS IS"
basis and OASIS DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT
LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT
INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR
A PARTICULAR PURPOSE.
-->

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sch="http://purl.oclc.org/dsdl/schematron">

<!--Identity-->
<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<!--Inclusion-->
<xsl:template match="sch:include | include">
  <xsl:copy-of select="document(@href,.)/sch:*"/>
</xsl:template>

</xsl:stylesheet>