<?xml version="1.0" encoding="US-ASCII"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron"
        defaultPhase="only-phase">
  <title>Business rules for maximum total value</title>
  <ns prefix="cbc" 
      uri="urn:oasis:names:draft:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac"
      uri="urn:oasis:names:draft:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <phase id="only-phase">
    <active pattern="code-list-rules"/>
    <active pattern="business-rules"/>
  </phase>
  <pattern id="business-rules">
    <rule context="cbc:ToBePaidAmount">
      <assert test=". &lt; 10000">Total amount '<value-of select="."/>' cannot be $10,000 or more.</assert>
    </rule>
  </pattern>
  <include href="order-constraints.sch"/>
</schema>
